Please sponsor bakery2.6-2.6.0 into jaunty

Bug #282596 reported by Christophe Sauthier
6
Affects Status Importance Assigned to Milestone
Ubuntu
Wishlist
Unassigned

Bug Description

Please sponsor bakery2.6-2.6.0 into intrepid

Related branches

Revision history for this message
Christophe Sauthier (christophe.sauthier) wrote :

bakery2.6 (2.6.0-0ubuntu1) intrepid; urgency=low

  * New upstream version (LP: #282596)
    - New ABI/API (2.6).
      * Modification of debian/libbakery-2.6-dev.install,
        libbakery-2.6-dev.doc-base.bakery2.6-misc, and
        libbakery-2.6-dev.doc-base.bakery2.6-reference to handle the 2.6
        name.
    - Wrap build-deps and deps to get cleaner diffs.
    - Fix bdeps to match upstream configure checks:
      * bump bdeps to libgtkmm-2.4-dev >= 2.10.0
      * remove libgnome-vfsmm-2.6-dev (>= 2.10.0-1),
        replace by libglibmm-2.4-dev >= 2.16.0
      * add intltool (>= 0.25) in bdeps.

 -- Christophe Sauthier <email address hidden> Fri, 10 Oct 2008 23:59:18 +0200

Revision history for this message
Christophe Sauthier (christophe.sauthier) wrote :

bakery2.6 (2.6.0-0ubuntu1) intrepid; urgency=low

  * New upstream version (LP: #282596)
    - New ABI/API (2.6).
      * Modification of debian/libbakery-2.6-dev.install,
        libbakery-2.6-dev.doc-base.bakery2.6-misc, and
        libbakery-2.6-dev.doc-base.bakery2.6-reference to handle the 2.6
        name.
      * Update of the watch file.
    - Wrap build-deps and deps to get cleaner diffs.
    - Fix bdeps to match upstream configure checks:
      * bump bdeps to libgtkmm-2.4-dev >= 2.10.0
      * remove libgnome-vfsmm-2.6-dev (>= 2.10.0-1),
        replace by libglibmm-2.4-dev >= 2.16.0
      * add intltool (>= 0.25) in bdeps.

 -- Christophe Sauthier <email address hidden> Mon, 13 Oct 2008 12:07:00 +0200

Revision history for this message
Christophe Sauthier (christophe.sauthier) wrote :
Revision history for this message
James Westby (james-w) wrote :

Hi Christophe,

Does this package have a freeze exception?

Thanks,

James

Revision history for this message
James Westby (james-w) wrote :

Thanks for your work, mile-stoning for "later" so we can look at it
when Jaunty opens. Please ping me if I forget.

Thanks,

James

Revision history for this message
Iain Lane (laney) wrote :

I've just been looking at the glom update, and was going to do this one to facilitate that, so thanks for doing this Christophe ;).

Anyway the reason I'm commenting here is because the package needs to declare a conflicts/replaces on bakery2.4:

laney@chicken:~/dev/ubuntu/packaging/bakery$ sudo dpkg --install libbakery-2.6-common_2.6.0-0ubuntu1_amd64.deb
(Reading database ... 338687 files and directories currently installed.)
Unpacking libbakery-2.6-common (from libbakery-2.6-common_2.6.0-0ubuntu1_amd64.deb) ...
dpkg: error processing libbakery-2.6-common_2.6.0-0ubuntu1_amd64.deb (--install):
 trying to overwrite `/usr/share/locale/gl/LC_MESSAGES/bakery.mo', which is also in package libbakery-2.4-common
Errors were encountered while processing:
 libbakery-2.6-common_2.6.0-0ubuntu1_amd64.deb

Revision history for this message
Christophe Sauthier (christophe.sauthier) wrote :

Dear Ian,

In fact as you might have guessed I have done that in order to do the glom update... which cannot be done currently for intrepid since some new package have to be created (and due to the various freeze right now it cannot be done)... So I have delayed everything for early jaunty, but I have done all the work (the remaining package and the other updates..). So please let me finish the job :)

Thanks for shoing the pb with bakery2.6 and bakery2.4, i have to admit that due to the intrepid/jaunty stuff it was not complety finished (and tested), and I have just listen to the upstream comments :)

Revision history for this message
Iain Lane (laney) wrote :

It seems like we have crossed wires a little bit. I don't know if you checked, but I've had goocanvasmm on REVU and LP for a while now, with a view to getting it in for the glom update. Everything is working and in my PPA, so should be (I hope) pretty much ready for sponsoring. I'm sorry if we accidently duplicated work :(

Revision history for this message
Christophe Sauthier (christophe.sauthier) wrote :

Oh, I haven't noticed that indeed... I'm sorry about that :( Don't worry, the important thing is that we can find a recent glom in jaunty :)

Revision history for this message
Iain Lane (laney) wrote :

Christophe, have you tried to get this uploaded in Debian instead? I'm going to try and get goocanvasmm (and maybe glom) there - it would benefit more people.

Revision history for this message
Christophe Sauthier (christophe.sauthier) wrote : Re: [Bug 282596] Re: Please sponsor bakery2.6-2.6.0 into intrepid

not yet. But since I am in direct contact with various DD i can try...

     Chris

On Tue, Nov 4, 2008 at 2:07 PM, Iain Lane <email address hidden> wrote:
> Christophe, have you tried to get this uploaded in Debian instead? I'm
> going to try and get goocanvasmm (and maybe glom) there - it would
> benefit more people.
>
> --
> Please sponsor bakery2.6-2.6.0 into intrepid
> https://bugs.launchpad.net/bugs/282596
> You received this bug notification because you are a direct subscriber
> of the bug.
>

--
Ma vie |
Mes recettes | http://www.reponses.net
Mes images |

Revision history for this message
James Westby (james-w) wrote : Re: Please sponsor bakery2.6-2.6.0 into intrepid

Moving back to the sponsors list. Please speak up if this is no
longer suitable for jaunty.

Thanks,

James

Revision history for this message
Christophe Sauthier (christophe.sauthier) wrote : Re: [Bug 282596] Re: Please sponsor bakery2.6-2.6.0 into intrepid

It is suitable for jaunty. But laney told me he was handling it (since he
was already dealing with the various stuffs that depends on it...).

I'll get in touch with him to clarify that.

On Tue, Nov 25, 2008 at 10:50 AM, James Westby
<<email address hidden><jw%<email address hidden>>
> wrote:

> Moving back to the sponsors list. Please speak up if this is no
> longer suitable for jaunty.
>
> Thanks,
>
> James
>
>
> ** Changed in: ubuntu
> Assignee: James Westby (james-w) => (unassigned)
> Target: later => None
>
> ** Summary changed:
>
> - Please sponsor bakery2.6-2.6.0 into intrepid
> + Please sponsor bakery2.6-2.6.0 into jaunty
>
> --
> Please sponsor bakery2.6-2.6.0 into jaunty
> https://bugs.launchpad.net/bugs/282596
> You received this bug notification because you are a direct subscriber
> of the bug.
>

--
Ma vie |
Mes recettes | http://www.reponses.net
Mes images |

Revision history for this message
Iain Lane (laney) wrote :

No, you misunderstand! I packaged goocanvasmm and have a candidate glom revision, but it requires this upload being sponsored. I'm not trying to steal this from you, please do get it into Jaunty ;)

Revision history for this message
Christophe Sauthier (christophe.sauthier) wrote :

There was indeed a misunderstanding Iain... I'll tackle that upload so that you can upload glom... thanks !

Revision history for this message
Daniel Holbach (dholbach) wrote :

A few things:
 - you seem to have dropped the -doc packages
 - you dropped the conflicts/replaces of the -common package
 - you chose not to use CDBS (which is fine, but can't we have the package closer to what Debian did just to make syncing easier in the future?)
 - do you think we can base the package on the bakery2.4 we have in Jaunty now?

Revision history for this message
Christophe Sauthier (christophe.sauthier) wrote : Re: [Bug 282596] Re: Please sponsor bakery2.6-2.6.0 into jaunty

A few things on your comments :
   -> at the moment I have started the package, I took the latest from
ubuntu, which does not contains yet the -doc package... Of course it
makes sense to use that now. This is also the cae with cdbs, since I
have based my work on the previous ubuntu version (which was
2.4.4-0ubuntu2).
    -> as far as I remember, I dropped the conflicts/replace after
some discussion with upstream... I have to check in detail why it was
justified (or at least why I considered it as justified at the
moment...)
   -> and of course the package should be based on the latest ubuntu
package which in is closer of debian. I'll tackle that tomorrow...

On Tue, Dec 2, 2008 at 9:31 AM, Daniel Holbach
<email address hidden> wrote:
> A few things:
> - you seem to have dropped the -doc packages
> - you dropped the conflicts/replaces of the -common package
> - you chose not to use CDBS (which is fine, but can't we have the package closer to what Debian did just to make syncing easier in the future?)
> - do you think we can base the package on the bakery2.4 we have in Jaunty now?
>
> --
> Please sponsor bakery2.6-2.6.0 into jaunty
> https://bugs.launchpad.net/bugs/282596
> You received this bug notification because you are a direct subscriber
> of the bug.
>

--
Ma vie |
Mes recettes | http://www.reponses.net
Mes images |

Revision history for this message
Christophe Sauthier (christophe.sauthier) wrote :

bakery2.6 (2.6.2-0ubuntu1) jaunty; urgency=low

  * New upstream version (LP: #282596)
    - New ABI/API (2.6).
      * Modification of debian/libbakery-2.6-dev.install,
        libbakery-2.6-doc.doc-base.bakery2.6-misc,
        libbakery-2.6-doc.doc-base.bakery2.6-reference to handle the 2.6
        name.
      * Modification of debian/control.in and debian/control to reflect that.
    - Fix bdeps to match upstream configure checks:
      * bump bdeps to libgtkmm-2.4-dev >= 2.10.0
      * remove libgnome-vfsmm-2.6-dev (>= 2.10.0-1),
        replace by libglibmm-2.4-dev >= 2.16.0
      * add intltool (>= 0.25) in bdeps.
    - Available various translations (LP: #306942)

 -- Christophe Sauthier <email address hidden> Tue, 09 Dec 2008 16:44:12 -0800

Revision history for this message
Christophe Sauthier (christophe.sauthier) wrote :
Revision history for this message
Daniel Holbach (dholbach) wrote :

Uploaded, sitting in NEW queue.

Revision history for this message
Brian Murray (brian-murray) wrote :

I'm setting this bug to Fix Released since the software is available now.

rmadison libbakery-2.6-1
libbakery-2.6-1 | 2.6.3-0ubuntu1 | jaunty/universe | amd64, i386
libbakery-2.6-1 | 2.6.3-0ubuntu1 | karmic/universe | amd64, i386

Changed in ubuntu:
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers